<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.schematronvalidator.SchematronManagement']}</h1>
        <h:form id="globalForm">
            #{schematronManagerBean.getSchematronFromUrl()}
            <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                <ui:define name="panel_title">#{messages['net.ihe.gazelle.schematronvalidator.Schematron']}</ui:define>

                <dl class="dl-horizontal">
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.schematronvalidator.Name']}</ui:define>
                        <h:outputText value="#{schematronManagerBean.selectedSchematron.name}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.schematronvalidator.Keyword']}</ui:define>
                        <h:outputText value="#{schematronManagerBean.selectedSchematron.keyword}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.schematronvalidator.Version']}</ui:define>
                        <h:outputText value="#{schematronManagerBean.selectedSchematron.version}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.maven.Author']}</ui:define>
                        <h:outputText value="#{schematronManagerBean.selectedSchematron.author}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.maven.Type']}</ui:define>
                        <h:outputText value="#{schematronManagerBean.selectedSchematron.type}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.schematronvalidator.Description']}</ui:define>
                        <h:outputText value="#{schematronManagerBean.selectedSchematron.description}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.schematronvalidator.Path']}</ui:define>
                        <h:outputText
                                value="#{schematronManagerBean.getSchematronPathRoot()}/#{schematronManagerBean.selectedSchematron.path}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.maven.Links']}</ui:define>
                        <h:outputText value="#{messages['net.ihe.gazelle.maven.ThisSchematronReferencesOtherFilesUsingRelativeL']}"
                                rendered="#{schematronManagerBean.selectedSchematron.useRelativeLinks == null or schematronManagerBean.selectedSchematron.useRelativeLinks}"/>
                        <h:outputText value="#{messages['net.ihe.gazelle.maven.ThisSchematronDoesNotReferenceOtherFilesOrPathsA']}"
                                      rendered="#{schematronManagerBean.selectedSchematron.useRelativeLinks != null and not schematronManagerBean.selectedSchematron.useRelativeLinks}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.schematronvalidator.XSDPath']}</ui:define>
                        <h:outputText
                                value="#{schematronManagerBean.getXsdPathRoot()}/#{schematronManagerBean.selectedSchematron.xsdPath}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.maven.XSDVersion']}</ui:define>
                        <h:outputText
                                value="#{schematronManagerBean.selectedSchematron.xsdVersion}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.schematronvalidator.ObjectType']}</ui:define>
                        <h:outputText value="#{schematronManagerBean.selectedSchematron.objectType.name}"/>
                    </s:decorate>

                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.maven.NeedDaffodilTransformation_2']}</ui:define>
                        <h:outputText id="daffodilTransformationNeededTrue"
                                      rendered="#{schematronManagerBean.selectedSchematron.dfdlTransformationNeeded}"
                                      value="#{messages['net.ihe.gazelle.schematronvalidator.Yes']}"/>
                        <h:outputText id="daffodilTransformationNeededFalse"
                                      rendered="#{not schematronManagerBean.selectedSchematron.dfdlTransformationNeeded}"
                                      value="#{messages['net.ihe.gazelle.schematronvalidator.No']}"/>
                    </s:decorate>

                    <s:decorate template="/layout/display/_data_list_item.xhtml"
                                rendered="#{schematronManagerBean.selectedSchematron.dfdlTransformationNeeded}">
                        <ui:define name="label">#{messages['net.ihe.gazelle.maven.DFDLSchemaKeyword_2']}</ui:define>
                        <h:outputText value="#{schematronManagerBean.selectedSchematron.dfdlSchemaKeyword}"/>
                    </s:decorate>

                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.schematronvalidator.Available']}</ui:define>
                        <h:outputText id="availableTrue"
                                      rendered="#{schematronManagerBean.selectedSchematron.available == true}"
                                      value="#{messages['net.ihe.gazelle.schematronvalidator.Yes']}"/>
                        <h:outputText id="availableFalse"
                                      rendered="#{schematronManagerBean.selectedSchematron.available != true}"
                                      value="#{messages['net.ihe.gazelle.schematronvalidator.No']}"/>
                    </s:decorate>
                </dl>
                <ui:define name="panel_footer">
                    <div class="actionButtons">
                        <a4j:commandButton value="#{messages['net.ihe.gazelle.schematronvalidator.Back']}"
                                           styleClass="gzl-btn"
                                           action="/schematrons/manageSchematrons.seam"
                                           immediate="true" execute="@this"/>
                    </div>
                </ui:define>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>